#!/bin/bash

echo "-------------------"
echo " Executing init... "
echo "-------------------"

chown -R mysql:mysql /var/lib/mysql

mysql -u root -e "GRANT all ON *.* TO 'tasadm'@'%' identified by 'tasadm' ;"
mysql -u root -e "GRANT all ON *.* TO 'tasadm'@'localhost' identified by 'tasadm' ;"
mysql -u root -e "CREATE DATABASE tctas DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;"

debpwd=`awk 'NR==5' /etc/mysql/debian.cnf | awk -F ' = ' '{print $2}'`

mysql -u root -e "GRANT ALL PRIVILEGES ON *.* TO 'debian-sys-maint'@'localhost' IDENTIFIED BY '${debpwd}';"

echo "Init tas"
. ~/tashome/tasrtenv.sh
taspatch.sh
tasdbinit.sh
echo "Init tas done"

echo "------------------------"
echo " Executing init... Done "
echo "------------------------"
